# $Revision: 1.14.2.1 $, $Date: 2007/03/13 21:53:56 $
#
# Conditional build
%bcond_without	numpy
#
%define		pname pycairo
Summary:	Python Cairo bindings
Summary:	Dowizania Pythona dla Cairo
Name:		python-%{pname}
Version:	1.2.6
Release:	1
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://cairographics.org/releases/%{pname}-%{version}.tar.gz
# Source0-md5:	166b04c4800c01aba1a6c8b14e87e0bc
URL:		http://cairographics.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel >= 1.2.6
BuildRequires:	libtool
BuildRequires:	python-devel >= 2.3
%{?with_numpy:BuildRequires:	python-numpy-devel}
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	cairo >= 1.2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python Cairo bindings.

%description -l pl
Dowizania Pythona dla Cairo.

%package devel
Summary:        Development files for pycairo
Summary(pl):    Pliki programistyczne pycairo
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for pycairo.

%description -l pl devel
Pliki programistyczne pycairo.

%package examples
Summary:        Example programs using Python Cairo bindings
Summary(pl):    Przykadowe programy w Pythonie uywajce Cairo
Group:          Libraries/Python
Requires:       %{name} = %{version}-%{release}

%description examples
Example programs using Python Cairo bindings.

%description -l pl examples
Przykadowe programy w Pythonie uywajce Cairo.

%prep
%setup -q -n %{pname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm $RPM_BUILD_ROOT%{py_sitedir}/cairo/*.{la,py}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS NOTES README
%dir %{py_sitedir}/cairo
%attr(755,root,root) %{py_sitedir}/cairo/*.so
%{py_sitedir}/cairo/*.py[oc]

%files devel
%defattr(644,root,root,755)
%{_includedir}/pycairo
%{_pkgconfigdir}/pycairo.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pycairo.spec,v $
Revision 1.14.2.1  2007/03/13 21:53:56  hawk
- from kiesyoo at o2 dot pl
  - updated to 1.2.6
  - dropped obsolete pygtk and cairo.svg support
  - added without_numpy

Revision 1.14  2005/10/30 12:17:57  arekm
- rel 2

Revision 1.13  2005/10/12 19:34:35  qboosh
- updated to 1.0.2

Revision 1.12  2005/10/05 22:06:10  blues
- rels up. Forgot to make it in both specs :(

Revision 1.11  2005/10/05 20:28:15  blues
- BuildRequires: rpm-pythonprov

Revision 1.10  2005/09/13 16:47:47  qboosh
- updated to 1.0.0 release

Revision 1.9  2005/08/14 16:51:38  freetz
- pygtk bcond for bootstrapping

Revision 1.8  2005/08/10 20:56:29  qboosh
- updated to 0.9.0

Revision 1.7  2005/08/06 10:01:34  qboosh
- updated to 0.6.0

Revision 1.6  2005/07/11 12:43:32  freetz
- devel subpackage, rel.2

Revision 1.5  2005/06/23 19:34:05  qboosh
- updated to 0.5.1 (for cairo 0.5.1)

Revision 1.4  2005/05/21 00:28:41  qboosh
- updated to 0.5.0, removed obsolete ac patch

Revision 1.3  2005/03/28 00:03:41  qboosh
- updated to 0.4.0, added ac patch

Revision 1.2  2005/01/22 18:44:10  qboosh
- updated to 0.1.4 (on LGPL 2.1/MPL 1.1 now)
- BR: libsvg-cairo-devel (used for linking if found)

Revision 1.1  2005/01/05 20:43:45  jpc
- new spec
